"use strict";
/**
 * Copyright © 2019 kevinpollet <pollet.kevin@gmail.com>`
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE.md file.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.overrideBuildConfig = (dest, source) => {
    if (Object.keys(source).length === 0) {
        return dest;
    }
    const sourceClone = JSON.parse(JSON.stringify(source));
    const destClone = JSON.parse(JSON.stringify(dest));
    return Object.assign(Object.assign({}, destClone), sourceClone);
};
