"use strict";
/**
 * Copyright © 2019 kevinpollet <pollet.kevin@gmail.com>`
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE.md file.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const collectKeyPairs = (separator = "=") => (curr, acc = {}) => {
    const pair = curr.split(separator);
    return pair.length >= 2 ? Object.assign(Object.assign({}, acc), { [pair[0].trim()]: pair[1].trim() }) : acc;
};
exports.collectKeyPairs = collectKeyPairs;
const collectValues = (curr, acc = []) => acc.concat(curr);
exports.collectValues = collectValues;
