"use strict";
/**
 * Copyright © 2019 kevinpollet <pollet.kevin@gmail.com>`
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE.md file.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const readPkg_1 = require("./utils/readPkg");
const pkgJsonPath = path_1.join(__dirname, "..");
const { name, version: pkgJsonVersion } = readPkg_1.readPkgSync(pkgJsonPath);
const { arch, platform, version: processVersion } = process;
exports.version = `${name}/${pkgJsonVersion} ${platform}-${arch} node-${processVersion}`;
